Skip to main content
`Ctrl`+`K`

# PCFactorSetPivotInBlocks

Determines if pivoting is done while factoring each block with `MATBAIJ` or `MATSBAIJ` matrices

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorSetPivotInBlocks(PC pc, PetscBool pivot)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- pivot - `PETSC_TRUE` or `PETSC_FALSE`

## Options Database Key

- -pc_factor_pivot_in_blocks (true|false) - Pivot inside matrix dense blocks for `MATBAIJ` and `MATSBAIJ`

## See Also

KSP: Linear System Solvers, `PCLU`, `PCCHOLESKY`, `PCILU`, `PCICC`, `PCILUSetMatOrdering()`, `PCFactorSetColumnPivot()`

## Level

intermediate

## Location

src/ksp/pc/impls/factor/factor.c

## Implementations

PCFactorSetPivotInBlocks_Factor() in src/ksp/pc/impls/factor/factimpl.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages